Subject: PQxactid always sent as 0?

From: [email-masked] (Postgres System User)
Date: Thu, 18 Mar 93 22:10:41 -0800

Please correct me if I am in error.  It seems that in dest.c PQxactid
is always sent to the front end as zero.  Is this correct?  Is there a
deep sinister reason behind it?  IOW if I change the pq_putint(0, 4)'s
to pq_putint(GetCurrentTransactionId(), 4) am I going to explode?

It seems to work but it also seems that whoever decided it was not wise
must have had a reason.

Neil M. McQuaig      344 Millicent Way,  Shreveport, LA  71106
VOICE: (318)868-5611 UUCP: mcquaig!nmm (318)861-1051 or uunet!mcquaig!nmm

---

From: <[email-masked]>
Date: Fri, 19 Mar 93 10:24:37 PST

> It seems to work but it also seems that whoever decided it was not wise

this was almost certainly an oversight; nothing bad will happen if you
fix it.
					mike